<!DOCTYPE html
  PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
   <body>
      <table border="1">
         <thead>
            <td>Description</td>
            <td>Link</td>
            <td>Sortkey</td>
         </thead>
         <tr>
            <td>4suite: XML repository.</td>
            <td>http://www.4suite.org</td>
            <td>4suite</td>
         </tr>
         <tr>
            <td>amberfish: text retrieval system.</td>
            <td>http://www.etymon.com/amberfish/</td>
            <td>amberfish</td>
         </tr>
         <tr>
            <td> Apache sponsored projects in XML.</td>
            <td>http://xml.apache.org/</td>
            <td>apachexml</td>
         </tr>
         <tr>
            <td>AxKit: an Apache module for XML transformations (utilizes Perl lang)</td>
            <td>http://axkit.org/</td>
            <td>axkit</td>
         </tr>
         <tr>
            <td>XML books.</td>
            <td>http://www.xmlbooks.com/</td>
            <td>books</td>
         </tr>
         <tr>
            <td> Mike J. Brown's XML and XSL stuff </td>
            <td>http://www.skew.org/xml</td>
            <td>brown</td>
         </tr>
         <tr>
            <td>Castor: Java to XML binding; Java to SQL/LDAP persistence</td>
            <td>http://castor.exolab.org/</td>
            <td>castor</td>
         </tr>
         <tr>
            <td>CL-XML is a collection of Common LISP modules for processing XML.</td>
            <td>http://homepage.mac.com/james_anderson/XML/</td>
            <td>cl-xml</td>
         </tr>
         <tr>
            <td> Jim Clark's XML parsers, info, etc. </td>
            <td>http://www.jclark.com/</td>
            <td>clark</td>
         </tr>
         <tr>
            <td>XML Database Products</td>
            <td>http://www.rpbourret.com/xml/XMLDatabaseProds.htm</td>
            <td>database</td>
         </tr>
         <tr>
            <td>XML and Databases</td>
            <td>http://www.oasis-open.org/cover/xmlAndDatabases.html</td>
            <td>database</td>
         </tr>
         <tr>
            <td>XML Enters The DBMS Arena</td>
            <td>http://www.computerworld.com/cwi/story/0,1199,NAV47_STO53026,00.html</td>
            <td>database</td>
         </tr>
         <tr>
            <td> DB2XML </td>
            <td>http://www.informatik.fh-wiesbaden.de/~turau/DB2XML/index.html</td>
            <td>db2xml</td>
         </tr>
         <tr>
            <td>DDbE accepts well formed XML documents as input and constructs a DTD. </td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/DDbE</td>
            <td>ddbe</td>
         </tr>
         <tr>
            <td>XML Definition</td>
            <td>http://www.xml.com/axml/target.html</td>
            <td>definition</td>
         </tr>
         <tr>
            <td>DocBook XML: an XML version of the emerging DOCBOOK standard</td>
            <td>http://www.nwalsh.com/docbook/xml/</td>
            <td>docbook</td>
         </tr>
         <tr>
            <td>dom4j: the flexible XML framework for Java</td>
            <td>http://dom4j.org/</td>
            <td>dom4j</td>
         </tr>
         <tr>
            <td>DTD generator.</td>
            <td>http://saxon.sourceforge.net/dtdgen.html</td>
            <td>dtdgen</td>
         </tr>
         <tr>
            <td> Element Construction Set (Generate HTML/XML output). </td>
            <td>http://java.apache.org/ecs/index.html</td>
            <td>ecs</td>
         </tr>
         <tr>
            <td>Electric XML is a small, fast, intuitive XML parser that is self-contained and
               ships as a 33K JAR file.
            </td>
            <td>http://www.themindelectric.com/products/xml/xml.html</td>
            <td>electric</td>
         </tr>
         <tr>
            <td>electric xml: an api for xml processing.</td>
            <td>http://www.themindelectric.com/products/xml/xml.html</td>
            <td>electric</td>
         </tr>
         <tr>
            <td> Enhydra [open source Java/XML application server] </td>
            <td>http://www.enhydra.org</td>
            <td>enhydra</td>
         </tr>
         <tr>
            <td>The eXchaNGeR Explorer can be used to browse and manage XML Documents as well
               as Elements.
            </td>
            <td>http://xngr.org</td>
            <td>exchanger</td>
         </tr>
         <tr>
            <td>eXist: an open-source native XML database.</td>
            <td>http://exist.sourceforge.net/</td>
            <td>exist</td>
         </tr>
         <tr>
            <td>expat: XML parser written in C</td>
            <td>http://www.jclark.com/xml/expat.html</td>
            <td>expat</td>
         </tr>
         <tr>
            <td>XML FAQ (Frequebtly Asked Questions)</td>
            <td>http://www.ucc.ie/xml/</td>
            <td>faq</td>
         </tr>
         <tr>
            <td>FOP: print formatter; XML to PDF</td>
            <td>http://xml.apache.org/fop/</td>
            <td>fop</td>
         </tr>
         <tr>
            <td>FOP (Formatting Objects Processor) is a print formatter driven by XSL formatting objects (XSL-FO).</td>
            <td>http://xml.apache.org/fop/</td>
            <td>fop</td>
         </tr>
         <tr>
            <td>Fxgrep: parses an XML document and finds all matches of the query within that document.</td>
            <td>http://www.informatik.uni-trier.de/~aberlea/Fxgrep/</td>
            <td>fxgrep</td>
         </tr>
         <tr>
            <td>fxt - generator of XML documents transformers.</td>
            <td>http://www.informatik.uni-trier.de/~aberlea/Fxt/</td>
            <td>fxt</td>
         </tr>
         <tr>
            <td>GETOX: Gnome editor for XML</td>
            <td>http://idx-getox.idealx.org/</td>
            <td>getox</td>
         </tr>
         <tr>
            <td>Glossary of XML terms.</td>
            <td>http://zvon.org/index.php?nav_id=173</td>
            <td>glossary</td>
         </tr>
         <tr>
            <td>GMD-IPSI XQL: Java based storage and query for large XML documents</td>
            <td>http://xml.darmstadt.gmd.de/xql/index.html</td>
            <td>gmdipsi</td>
         </tr>
         <tr>
            <td>Jato: The Java/XML Translato.r</td>
            <td>http://www.krumel.com/jato/</td>
            <td>jato</td>
         </tr>
         <tr>
            <td>Jaxen is an XPath engine written in Java.</td>
            <td>http://sourceforge.net/projects/jaxen</td>
            <td>jaxen</td>
         </tr>
         <tr>
            <td>jconfig: api for application configuration using XML.</td>
            <td>http://www.jconfig.org/goals</td>
            <td>jconfig</td>
         </tr>
         <tr>
            <td>JDance XML information 'channels'</td>
            <td>http://www.jdance.com/xml.shtm</td>
            <td>jdance</td>
         </tr>
         <tr>
            <td>JDOM: Java API for XML DOM processing</td>
            <td>http://www.jdom.org./</td>
            <td>jdom</td>
         </tr>
         <tr>
            <td>Joost: a Java implementation of the Streaming Transformation for XML (STX) language.</td>
            <td>http://sourceforge.net/projects/joost</td>
            <td>joost</td>
         </tr>
         <tr>
            <td>JROM can be used for an intermediate representation between XML and
               full-fledged Java.
            </td>
            <td>http://www.alphaworks.ibm.com/tech/jrom?open&amp;1=138,t=gr</td>
            <td>jrom</td>
         </tr>
         <tr>
            <td>JSX: Java Serialization to XML is a seamless bridge between XML and Java.</td>
            <td>http://www.csse.monash.edu.au/~bren/JSX/</td>
            <td>jsx</td>
         </tr>
         <tr>
            <td>Kweelt: framework to query XML data.</td>
            <td>http://db.cis.upenn.edu/Kweelt/</td>
            <td>kweelt</td>
         </tr>
         <tr>
            <td>XML/HTML parsers for Lisp.</td>
            <td>http://opensource.franz.com/xmlutils/</td>
            <td>lisp</td>
         </tr>
         <tr>
            <td>lotusxsl: XML transformation system using XSL</td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/lotusxsl</td>
            <td>lotusxsl</td>
         </tr>
         <tr>
            <td>LT XML: An xml toolkit which includes a C API.</td>
            <td>http://www.ltg.ed.ac.uk/software/xml/</td>
            <td>ltxml</td>
         </tr>
         <tr>
            <td>lucid-it: xml toolkit and editor.</td>
            <td>http://www.lucid-it.com/</td>
            <td>lucid</td>
         </tr>
         <tr>
            <td>mod-xml: an XML applications development environment for Apache 2.0. </td>
            <td>http://mod-xml.sourceforge.net/</td>
            <td>mod-xml</td>
         </tr>
         <tr>
            <td> Montag is a Java Web Services based system for the interaction with any Native XML Database that supplies a Java implementation
               of the XML:DB API.
            </td>
            <td>http://montag.sourceforge.net/</td>
            <td>montag</td>
         </tr>
         <tr>
            <td>Morphon: a Java base XML editor (uses CSS)</td>
            <td>http://www.morphon.com/</td>
            <td>morphon</td>
         </tr>
         <tr>
            <td>Unofficial MSXML XSLT FAQ</td>
            <td>http://www.netcrucible.com/xslt/msxml-faq.htm</td>
            <td>msxml</td>
         </tr>
         <tr>
            <td>XML editor written in Java</td>
            <td>http://homepages.go.com/~mustcorp/</td>
            <td>must</td>
         </tr>
         <tr>
            <td>Namespace reference; find info on a namespace</td>
            <td>http://zvon.org/index.php?nav_id=172</td>
            <td>namespace</td>
         </tr>
         <tr>
            <td> NanoXML Parser (A Lightweight XML Parser). </td>
            <td>http://nanoxml.sourceforge.net/</td>
            <td>nanoxml</td>
         </tr>
         <tr>
            <td> XML News and Articles </td>
            <td>http://www.oasis-open.org/cover/xmlArticles.html</td>
            <td>news</td>
         </tr>
         <tr>
            <td>XML parsers in Scheme</td>
            <td>http://www196.pair.com/lisovsky/ssdscm/parsers.html</td>
            <td>parsers</td>
         </tr>
         <tr>
            <td>PassiveTeX: transform XML to PDF, DVI, or Postscript</td>
            <td>http://users.ox.ac.uk/~rahtz/passivetex/</td>
            <td>passivetex</td>
         </tr>
         <tr>
            <td>XML Patterns</td>
            <td>http://www.xmlpatterns.com/</td>
            <td>patterns</td>
         </tr>
         <tr>
            <td>PSGML: editing mode for XEmacs which handles sgml and xml</td>
            <td>http://www.lysator.liu.se/projects/about_psgml.html</td>
            <td>psgml</td>
         </tr>
         <tr>
            <td> XML Query Languages </td>
            <td>http://www-db.research.bell-labs.com/user/simeon/xquery.html</td>
            <td>query</td>
         </tr>
         <tr>
            <td>XML Query Engine</td>
            <td>http://www.fatdog.com/</td>
            <td>query</td>
         </tr>
         <tr>
            <td>Quick: a Java API for converting XML to Java Objects</td>
            <td>http://www.jxml.com/</td>
            <td>quick</td>
         </tr>
         <tr>
            <td>Quick: an API/tool for using XML</td>
            <td>http://www.jxml.com/index.html</td>
            <td>quick</td>
         </tr>
         <tr>
            <td>A Quilt parser</td>
            <td>http://www.cobase.cs.ucla.edu/projects/xpress/quilt/</td>
            <td>quilt</td>
         </tr>
         <tr>
            <td>Quilt: An XML query language</td>
            <td>http://www.almaden.ibm.com/cs/people/chamberlin/quilt.html</td>
            <td>quilt</td>
         </tr>
         <tr>
            <td>rdf/xml: Expressing simple Dublin Core in RDF/XML.</td>
            <td>http://dublincore.org/documents/2002/07/31/dcmes-xml/</td>
            <td>rdf</td>
         </tr>
         <tr>
            <td>REXML: XML API for Ruby.</td>
            <td>http://www.germane-software.com/software/rexml/</td>
            <td>rexml</td>
         </tr>
         <tr>
            <td>XML-RPC for C/C++: A lightweight RPC library based on XML and HTTP.</td>
            <td>http://xmlrpc-c.sourceforge.net/</td>
            <td>rpc</td>
         </tr>
         <tr>
            <td>SAX: sax1 and sax2 information.</td>
            <td>http://www.saxproject.org/</td>
            <td>sax</td>
         </tr>
         <tr>
            <td>SAX: sourceforge page.</td>
            <td>http://sourceforge.net/projects/sax/</td>
            <td>sax</td>
         </tr>
         <tr>
            <td>SAX2/Java</td>
            <td>http://www.megginson.com/SAX/</td>
            <td>sax2</td>
         </tr>
         <tr>
            <td>Saxon: XML document processing</td>
            <td>http://saxon.sourceforge.net/</td>
            <td>saxon</td>
         </tr>
         <tr>
            <td>Schematron is a way of using XPath Paths and Expressions to validate that an
               XML file obeys certain rules.
            </td>
            <td>http://www.ascc.net/xml/resource/schematron/schematron-basic.html</td>
            <td>schematrom</td>
         </tr>
         <tr>
            <td>Simkin is a scripting language which works with Java™/XML or C++.</td>
            <td>http://www.simkin.co.uk/</td>
            <td>simkin</td>
         </tr>
         <tr>
            <td>XML software information</td>
            <td>http://www.xmlsoftware.com</td>
            <td>software</td>
         </tr>
         <tr>
            <td>startkabel: XML portal.</td>
            <td>http://www.startkabel.nl/k/xml/</td>
            <td>startkabel</td>
         </tr>
         <tr>
            <td>XSLT stylesheet information including loop examples.</td>
            <td>http://www.informatik.hu-berlin.de/~obecker/XSLT/</td>
            <td>stylesheets</td>
         </tr>
         <tr>
            <td>SVG: Scalable Vector Graphics; definition and info</td>
            <td>http://www.sun.com/software/xml/developers/svg/</td>
            <td>svg</td>
         </tr>
         <tr>
            <td>tdtd: Emacs Major Mode for editing SGML and XML DTDs</td>
            <td>http://www.mulberrytech.com/tdtd/index.html</td>
            <td>tdtd</td>
         </tr>
         <tr>
            <td>Listing of free XML tools</td>
            <td>http://www.garshol.priv.no/download/xmltools/</td>
            <td>tools</td>
         </tr>
         <tr>
            <td>topxml: Articles on using XML with Java.</td>
            <td>http://www.topxml.com/java/default.asp</td>
            <td>topxml</td>
         </tr>
         <tr>
            <td>UncommonXML is an XML parser written in CL.</td>
            <td>http://alpha.onshore.com/lisp-software/</td>
            <td>uncomm</td>
         </tr>
         <tr>
            <td>XML Validator program (C++)</td>
            <td>http://www.elcel.com/</td>
            <td>valid</td>
         </tr>
         <tr>
            <td> Web Distributed Data Exchange (using XML) </td>
            <td>http://www.wddx.org/</td>
            <td>wdde</td>
         </tr>
         <tr>
            <td>WebIt: supports the creation and processing of XML, HTML, and CSS using Scheme</td>
            <td>http://celtic.benderweb.net/webit/</td>
            <td>webit</td>
         </tr>
         <tr>
            <td>WorX: A product($) which extends MS Word for the authoring of XML/SGML documents</td>
            <td>http://www.hvltd.com/products/productsdefault.asp</td>
            <td>worx</td>
         </tr>
         <tr>
            <td>Xalan-J: Xalan is an XSLT processor for transforming XML documents into HTML,
               text, or other XML document types. 
            </td>
            <td>http://xml.apache.org/xalan/index.html</td>
            <td>xalanj</td>
         </tr>
         <tr>
            <td>XDB: XML Database</td>
            <td>http://zvon.org/index.php?nav_id=61</td>
            <td>xdb</td>
         </tr>
         <tr>
            <td>XED is a text editor for XML document instances. </td>
            <td>http://www.ltg.ed.ac.uk/~ht/xed.html</td>
            <td>xed</td>
         </tr>
         <tr>
            <td>xeena: XML editor written in Java.</td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xeena</td>
            <td>xeena</td>
         </tr>
         <tr>
            <td>Xerlin: XML editor</td>
            <td>http://www.xerlin.org</td>
            <td>xerlin</td>
         </tr>
         <tr>
            <td>Xindice: data management system for collections of XML documents</td>
            <td>http://xml.apache.org/xindice/</td>
            <td>xindice</td>
         </tr>
         <tr>
            <td>Xindice: a database designed to store XML data.</td>
            <td>http://xml.apache.org/xindice/</td>
            <td>xindice</td>
         </tr>
         <tr>
            <td>XLE allows a user to annotate a given DTD, then extract XML documents
               conforming to that DTD from underlying data sources
            </td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xle</td>
            <td>xle</td>
         </tr>
         <tr>
            <td>XLE allows a user to annotate a given DTD, then extract XML documents
               conforming to that DTD from underlying data sources.
            </td>
            <td>http://www.alphaworks.ibm.com/tech/xle</td>
            <td>xle</td>
         </tr>
         <tr>
            <td>XLINK: information, tutorial, examples</td>
            <td>http://www.zvon.org/xxl/xlink/</td>
            <td>xlink</td>
         </tr>
         <tr>
            <td> XML Parser (XML4J from IBM). </td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xml4j</td>
            <td>xml4j</td>
         </tr>
         <tr>
            <td>XMLC: convert XML or HTML into Java classes</td>
            <td>http://staff.pisoftware.com/dwood/xmlc/index.html</td>
            <td>xmlc</td>
         </tr>
         <tr>
            <td>xmldbms: Java packages for transferring data between XML documents and
               relational database.
            </td>
            <td>http://www.rpbourret.com/xmldbms/index.htm</td>
            <td>xmldbms</td>
         </tr>
         <tr>
            <td>XMLDiff: an XML Diff and Merge tool</td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xmldiffandmerge</td>
            <td>xmldiff</td>
         </tr>
         <tr>
            <td> XML Editor (written in Java). </td>
            <td>http://www.pierlou.com/visxml/</td>
            <td>xmleditor</td>
         </tr>
         <tr>
            <td> another XML Editor (written in Java). </td>
            <td>http://pikosoft.dragontiger.com/en/treenotes/index.html</td>
            <td>xmleditor</td>
         </tr>
         <tr>
            <td>XMLMaster: a Java tool for building custom beans for an XML document</td>
            <td>http://alphaworks.ibm.com/tech/xmas</td>
            <td>xmlmaster</td>
         </tr>
         <tr>
            <td>XMLP: Common Lisp XML processing package.</td>
            <td>http://sourceforge.net/projects/lsp</td>
            <td>xmlp</td>
         </tr>
         <tr>
            <td>XMLPDF: a product designed to convert xml to pdf.</td>
            <td>http://www.xmlpdf.com/</td>
            <td>xmlpdf</td>
         </tr>
         <tr>
            <td>XML Schema Quality Checker is a program which takes as input an XML Schema and
               diagnoses improper uses of the schema language.
            </td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xmlsqc</td>
            <td>xmlsqc</td>
         </tr>
         <tr>
            <td>xmltokenizer: a simple xml parser.</td>
            <td>http://www.xmltokenizer.com/</td>
            <td>xmltokenizer</td>
         </tr>
         <tr>
            <td>XML Viewer for Java</td>
            <td>http://www.alphaworks.ibm.com/aw.nsf/techmain/xmlviewer</td>
            <td>xmlviewer</td>
         </tr>
         <tr>
            <td>XMLWriter: SAX2 filter class</td>
            <td>http://www.megginson.com/</td>
            <td>xmlwriter</td>
         </tr>
         <tr>
            <td>XMLWriter: a highly rated XML editor (for Windows)</td>
            <td>http://xmlwriter.net/index.html</td>
            <td>xmlwriter</td>
         </tr>
         <tr>
            <td>Xoplon is an XML/XSLT framework for Java servlets.</td>
            <td>http://xoplon.sourceforge.net</td>
            <td>xoplon</td>
         </tr>
         <tr>
            <td>Xpress: aim at building a novel XML Query Processing and Relaxation system in
               Relational Storage. XPRESS stands for "XML Processing and Relaxation in rElational
               Storage System".
            </td>
            <td>http://www.cobase.cs.ucla.edu/projects/xpress/</td>
            <td>xpress</td>
         </tr>
         <tr>
            <td>XPS: eXtensible Programming Script.</td>
            <td>http://SoftML.Net/xps/</td>
            <td>xps</td>
         </tr>
         <tr>
            <td>xqengine: a full-text search engine for XML documents.</td>
            <td>http://xqengine.sourceforge.net/</td>
            <td>xqengine</td>
         </tr>
         <tr>
            <td>XSL FAQ</td>
            <td>http://www.dpawson.freeserve.co.uk/xsl/xslfaq.html</td>
            <td>xslfaq</td>
         </tr>
         <tr>
            <td> XSLT as a Query Language </td>
            <td>http://db.cis.upenn.edu/XSLT/</td>
            <td>xslt</td>
         </tr>
         <tr>
            <td>xslt.com: source of news/products related to xsl transfromations</td>
            <td>http://www.xslt.com/</td>
            <td>xslt.com</td>
         </tr>
         <tr>
            <td>XTract: A command line processor which runs XML scripts.</td>
            <td>http://www.decisionsoft.com/products.html</td>
            <td>xtract</td>
         </tr>
         <tr>
            <td>eXtensible Value Resolution Language (XVRL) enables XML authors to refer to
               external and dynamic data in their XML documents.
            </td>
            <td>http://www.xvrl.org</td>
            <td>xvrl</td>
         </tr>
         <tr>
            <td>zvon: information on XML and XSL (includes tutorials on current XML topics)</td>
            <td>http://www.zvon.org/index.php</td>
            <td>zvon</td>
         </tr>
      </table>
   </body>
</html>